//
// dbresult.h
//

#ifndef _DBRESULT_H_
#define _DBRESULT_H_

class DBResult
{
private:
	bool haveError;
	MYSQL_RES *result;
public:
	  DBResult (  );
	  DBResult ( MYSQL * mysql, char *query );
	 ~DBResult (  );

	void init ( MYSQL * mysql, char *query );

	int status (  );							// Return query status

	int nrTuples (  );						// Number of fetched tuples
	int nrFields (  );						// Number of fields per tuple

	char *fieldName ( int n );		// Name of nth fiel
	int fieldSize ( int n );			// Size of nth field
	int fieldSize ( char *name );	// Size of nth field

	void seekTuple ( int tuple );	// Sets internal cursor to tuple
	char **getTuple (  );					// Return the next tuple or NULL
	char **getTuple ( int tuple );	// Return tuple
};

#endif
